Bug 1271048 - Guest system time drift from host time for about 16 seconds after 7days 15 hours
Guest system time drift from host time for about 16 seconds after 7days 15 hours
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
ppc64le Unspecified
medium Severity medium
: rc
: ---
Assigned To: David Gibson
Virtualization Bugs
:
Depends On:
Blocks: RHV4.1PPC RHEV4.0PPC
  Show dependency treegraph
 
Reported: 2015-10-12 23:35 EDT by Gu Nini
Modified: 2016-07-25 10:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-24 00:08:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gu Nini 2015-10-12 23:35:35 EDT
Description of problem:

After 7 days and 15 hours, it's found guest system time drift is about 16 seconds from host system time, while the guest hwclock is accordant with host system time and the drift is within 1 second.


Version-Release number of selected component (if applicable):
Host kernel: 3.10.0-318.el7.ppc64le
Guest kernel: 3.10.0-316.el7.ppc64le
Qemu-kvm-rhev: qemu-kvm-rhev-2.3.0-26.el7.ppc64le

How reproducible:
100%

Steps to Reproduce:
1. Sync the system time in host with following command:
# ntpdate clock.redhat.com
2. Start 2 guests with '-rtc base=utc,clock=host' and '-rtc base=utc,clock=vm' respectively
3. Sync the system time in both guests as step 1 do.

4. Leave all system running there
5. After 7days 15 hours, check system time drift in the host and both guests with following command:
# ntpdate -q clock.redhat.com

Check system time and hwclock in the host and both guests with following command:
# date
# hwclock


Actual results:
In step5, system time drifts of the 2 guests are both about 16 seconds, while that of the host is within 1 second(I remembered it's only 0.00# seconds); guests hwclock is accordant with host system time, i.e. the drift is within 1 second.

Expected results:
Guest system time dirfts should not be so large.

Additional info:
Comment 2 David Gibson 2015-10-12 23:59:42 EDT
Definitely not vital enough for a 7.2 candidate.  Moving to 7.3.
Comment 3 David Gibson 2016-02-22 04:00:06 EST
Is the host running ntpd?

Is the guest running ntpd?
Comment 4 Gu Nini 2016-02-23 05:17:11 EST
(In reply to David Gibson from comment #3)
> Is the host running ntpd?
> 
> Is the guest running ntpd?

I have not set them manually, so they should be the default one on host/guests.

On current rhel7.2z host, it's found the service is inactive:
[root@ibm-p8-kvm-02-qe ~]# service ntpd status
Redirecting to /bin/systemctl status  ntpd.service
● ntpd.service - Network Time Service
   Loaded: loaded (/usr/lib/systemd/system/ntpd.service; disabled; vendor preset: disabled)
   Active: inactive (dead)
[root@ibm-p8-kvm-02-qe ~]# uname -r
3.10.0-327.8.1.el7.ppc64le
[root@ibm-p8-kvm-02-qe ~]# rpm -qa|grep qemu-kvm-rhev
qemu-kvm-rhev-2.3.0-31.el7_2.5.ppc64le
qemu-kvm-rhev-debuginfo-2.3.0-31.el7_2.5.ppc64le

While for a rhel7.2z le guest on the host, it's found there is no the service:
[root@dhcp70-169 ~]# service ntpd status
Redirecting to /bin/systemctl status  ntpd.service
● ntpd.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)
[root@dhcp70-169 ~]# uname -r
3.10.0-327.2.1.el7.ppc64le
Comment 5 David Gibson 2016-02-24 00:08:02 EST
Hmm.  I suspect ntpd was running in the host at some point.  Without something like NTP actively adjusting the host time, I don't see how it could get out of sync with the guets - they're using the same physical timebase.

However, if NTP runs in the host it will adjust the host time and there's no obvious way to communicate those adjustments to the guest.  There's not really anything we can do about this.

If we confirmed these got out of sync with no NTPD in the host, we might have a real bug.

The obvious workaround is to run ntpd in the guests.

So, I'm intending to close this as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.